/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
*/

#ifndef _PHY_DEVLIB_API_PARM_PRODUCT_H
#define _PHY_DEVLIB_API_PARM_PRODUCT_H

/*!
  @file phyvDevLibApi.h

  @brief
  PHY devLib API header file

*/

/*! @brief README
 *
 *  devLib/
 *      contains PHY DEV LIB level files
 *      The user s/w must call initDevLib()
 *
 *  devLib/phyDevLibApiParm.h
 *      The definition of input/output parameter for phy dev lib APIs needed by the user s/w.
 *
 */

#include "phyDevLibCommon.h"
#define CHIP_NAME "NEUTRINO"
#define _CHIP_ID_ 0x10100

#define HASTINGS_1P0_MINOR_VERSION 0x00
#define HASTINGS_1P1_MINOR_VERSION 0x10

//#define __SIMXL_SC_TB__

#define regMap(base) SEQ_WCSS_PHYB_WFAX_##base##_REG_MAP_OFFSET
#define regMapA(base) SEQ_WCSS_PHYA_WFAX_##base##_REG_MAP_OFFSET
#define regMapA1(base) SEQ_WCSS_PHYA_WFAX_##base##_REG_MAP_OFFSET
#define regMapB(base) SEQ_WCSS_PHYB_WFAX_##base##_B_REG_MAP_OFFSET
#define blkOffset(base) SEQ_WFAX_TOP_WFAX_##base##_REG_MAP_OFFSET

#define DPD_CAL_TABLE_MAX 4

#define PHYDEVLIB_PHYID_MAX 2

#define SUPPORT_11AX 1

#define COMMON_2G_COL 2
#define MODAL_2G_COL 4
#define MODAL_2G_RF_RXLUT_COL 3
#define TX_BBF_2G_COL 5

#define COMMON_5G_COL 2
#define MODAL_5G_COL 8
#define MODAL_5G_RF_RXLUT_COL 4
#define TX_BBF_5G_COL 9
#define RX_GLUT_5G_COL 3

#define SKIP_RFABBFLUT_INI_MASK 0x4
#define SKIP_RXGAINTBL_INI_MASK 0x2
#define SKIP_TXGAINTBL_INI_MASK 0x1

#define HW_RFA_BASE_OFFSET(pHandle) ((pHandle->phyId) ? 0x100000 : 0x0)
#define HW_RFA_BASE_OFFSET_PHYID(phyId) ((phyId) ? 0x100000 : 0x0)
#define HW_RFA_BASE_OFFSET_PHYBASE(phyBase) (0x0)

#define Use2G_iPA_iLNA 1
typedef enum
{
    PHY_CHAIN_0,
    PHY_CHAIN_1,
    PHY_CHAIN_MAX,
} PHY_CHAIN;


typedef enum
{
    PHY_CHAIN_0_MASK   = 0x1,
    PHY_CHAIN_1_MASK   = 0x2,
    PHY_CHAIN_MASK_MAX = 0x3,
} PHY_CHAIN_MASK;

#define RXDCO_MAX_CHAIN PHY_CHAIN_MAX

#ifndef WHAL_NUM_PHY
#define WHAL_NUM_PHY 1
#endif

#define NUM_BO_QAM 7

#ifndef PHYDEVLIB_PRODUCT_VERSION
#define PHYDEVLIB_PRODUCT_VERSION 10
#endif

#if defined(PHYDEVLIB_IMAGE_MM_FTM)
#if defined(FPGA)
#define WCSS_ENV_DEFAULT     WCSS_ENV_EMU
#else
#define WCSS_ENV_DEFAULT     WCSS_ENV_SILICON
#endif
#elif defined(PHYDEVLIB_IMAGE_UFW)
#if defined(FPGA)
#define WCSS_ENV_DEFAULT     WCSS_ENV_EMU
#else
#define WCSS_ENV_DEFAULT     WCSS_ENV_SILICON
#endif
#define WLAN_CNSS_BASE       0
#else
#define WCSS_ENV_DEFAULT     WCSS_ENV_EMU
#define WLAN_CNSS_BASE       0
//#define PHYDEVLIB_SUPPORT_DCM
#endif

#ifndef MAX_NUM_CHAINS
#define MAX_NUM_CHAINS               4
#endif

#if defined(CONFIG_Q5EXT)
#define CONFIG_PHYDEVLIB_API_Q5EXT
#endif

#if !defined(PHYDEVLIB_IMAGE_MM_FTM)
/*
 * Build configuration
 */
//#if defined(PHYDEVLIB_SUPPORT_BDF)
#define _BDF_BUILD
//#endif

#ifndef WLAN_NPR
#define WLAN_NPR
#endif

////////////////////////////////////////////////////////////////////////////////
// From fwconfig_target_common.h

#ifdef SUPPORT_VHT
#undef SUPPORT_VHT
#endif
#define SUPPORT_VHT

////////////////////////////////////////////////////////////////////////////////
// From fwconfig_QCA6490.h

#define CONFIG_160MHZ_SUPPORT  1
#define SUPPORT_11AX  1
#define NUM_SPATIAL_STREAM 2
#define MAX_SPATIAL_STREAMS_SUPPORTED_AT_160MHZ 1
#define MAX_HT_SPATIAL_STREAM 2
#define MAX_BF_SPATIAL_STREAM 2
#define VHT_EXTRA_MCS_SUPPORT 1
#define NUM_SCHED_ENTRIES 2
#define MAX_NUM_CHAINS 4
#define RXG_CAL_CHAIN_MAX 4 // TODO halphy should use based num chains?
//HalPhy Memory Categorization
#define __HALPHY_RESIDENT__                     /* no-op*/

////////////////////////////////////////////////////////////////////////////////
// From halphyConfig_qca649x.h

#define WHAL_MAX_RATE_PWR_MULTIPLIER 2
#endif

typedef enum {
	MAPLE_BOARD_ID_10 = 0x10, //AP.MP02 2G iPA + 5G iPA
	MAPLE_BOARD_ID_20 = 0x20, //Maple1.0 + MP03.1 (iPA-obsolete)
	MAPLE_BOARD_ID_21 = 0x21, //Maple1.0 + New MP03.3 2G iPA
	MAPLE_BOARD_ID_22 = 0x22, //Maple1.0 + New MP03.1 2G xFEM
    MAPLE_BOARD_ID_23 = 0x23, //Maple1.1 +  New MP03.3 2G iPA
	MAPLE_BOARD_ID_24 = 0x24, //Maple1.1 +  New MP03.1 2G xFEM
	MAPLE_BOARD_ID_MAX = 0xFF
} MAPLE_BOARD_ID;

////////////////////////////////////////////////////////////////////////////////
//Define the macro to porting HWIO calls easily

#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_OFFSET                          (SEQ_WCSS_WFAX_IRON2G_REG_MAP_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_OFFSET                  (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_OFFSET              (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_XFEM_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_XFEM_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_COEX_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_COEX_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_COEX_CAL_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_AON_COEX_CAL_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_RFFE_M_OFFSET           (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_RFFE_M_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_RFA_SHD_OTP_OFFSET      (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_RFA_SHD_OTP_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_RFA_OTP_OFFSET          (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_RFA_OTP_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_CLKGEN_OFFSET           (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_CLKGEN_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_DPLL_OFFSET             (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_DPLL_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_BS_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_BS_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_CLBS_OFFSET   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_CLBS_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_BIST_OFFSET   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_BIST_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_PC_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_PC_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_KVCO_OFFSET   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_KVCO_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_AC_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_AC_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_LO_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_WL_SYNTH0_LO_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_CMN_HLS_WL_REGFILE_OFFSET   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_CMN_HLS_WL_REGFILE_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_PMU_OFFSET                  (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_PMU_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_PMU_PMU_OFFSET              (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_PMU_PMU_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_OFFSET                   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_BT_CH2_OFFSET            (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_BT_CH2_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_HLS_BT_REGFILE_OFFSET    (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_HLS_BT_REGFILE_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_BS_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_BS_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_BIST_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_BIST_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_PC_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_PC_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_AC_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_BT_BT_SYNTH_AC_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_OFFSET                   (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MC_CH0_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MC_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXBB_CH0_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXBB_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXBB_CH0_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXBB_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXFE2_CH0_OFFSET      (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXFE2_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXFE2_CH0_OFFSET      (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXFE2_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_PAL_CH0_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_PAL_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_CH0_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TPC_CH0_OFFSET        (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TPC_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MEM_CH0_OFFSET        (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MEM_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MC_CH1_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MC_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXBB_CH1_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXBB_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXBB_CH1_OFFSET       (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXBB_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXFE2_CH1_OFFSET      (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_RXFE2_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXFE2_CH1_OFFSET      (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TXFE2_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_PAL_CH1_OFFSET     (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_PAL_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_CH1_OFFSET         (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_LO_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TPC_CH1_OFFSET        (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_TPC_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MEM_CH1_OFFSET        (SEQ_WCSS_WFAX_IRON2G_REG_MAP_RFA_WL_WL_MEM_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_OFFSET                    	                 (SEQ_WCSS_WL_MSIP_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_RBIST_TX_CH0_OFFSET       	                 (SEQ_WCSS_WL_MSIP_RBIST_TX_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_CH0_OFFSET         	                 (SEQ_WCSS_WL_MSIP_WL_DAC_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_CALIB_CH0_OFFSET   	                 (SEQ_WCSS_WL_MSIP_WL_DAC_CALIB_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_REGARRAY_CH0_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_DAC_REGARRAY_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_BBCLKGEN_CH0_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_DAC_BBCLKGEN_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_ADC_CH0_OFFSET         	                 (SEQ_WCSS_WL_MSIP_WL_ADC_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_ADC_BBCLKGEN_CH0_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_ADC_BBCLKGEN_CH0_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_RBIST_TX_CH1_OFFSET       	                 (SEQ_WCSS_WL_MSIP_RBIST_TX_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_CH1_OFFSET         	                 (SEQ_WCSS_WL_MSIP_WL_DAC_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_CALIB_CH1_OFFSET   	                 (SEQ_WCSS_WL_MSIP_WL_DAC_CALIB_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_REGARRAY_CH1_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_DAC_REGARRAY_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_DAC_BBCLKGEN_CH1_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_DAC_BBCLKGEN_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_ADC_CH1_OFFSET         	                 (SEQ_WCSS_WL_MSIP_WL_ADC_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_ADC_BBCLKGEN_CH1_OFFSET	                 (SEQ_WCSS_WL_MSIP_WL_ADC_BBCLKGEN_CH1_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_TMUX_OFFSET          	                 (SEQ_WCSS_WL_MSIP_MSIP_TMUX_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_OTP_OFFSET           	                 (SEQ_WCSS_WL_MSIP_MSIP_OTP_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_LDO_CTRL_OFFSET      	                 (SEQ_WCSS_WL_MSIP_MSIP_LDO_CTRL_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_CLKGEN_OFFSET        	                 (SEQ_WCSS_WL_MSIP_MSIP_CLKGEN_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_BIAS_OFFSET          	                 (SEQ_WCSS_WL_MSIP_MSIP_BIAS_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_BBPLL_OFFSET              	                 (SEQ_WCSS_WL_MSIP_BBPLL_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_WL_TOP_CLKGEN_OFFSET      	                 (SEQ_WCSS_WL_MSIP_WL_TOP_CLKGEN_OFFSET - SEQ_WCSS_PHYA_OFFSET)
#define SEQ_WFAX_TOP_WL_MSIP_MSIP_DRM_REG_OFFSET   	                     (SEQ_WCSS_WL_MSIP_MSIP_DRM_REG_OFFSET - SEQ_WCSS_PHYA_OFFSET)



#endif /* _PHY_DEVLIB_API_PARM_PRODUCT_H */

